Resume a sender
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paused_manually": true,
"is_premium": true,
"status_reason": "<string>",
"avatar_url": "<string>",
"cooldown_until": "2023-11-07T05:31:56Z",
"warmup": {},
"state": "<string>",
"cooldowns": {},
"display_name": "<string>",
"daily_send_cap": 20,
"last_send_at": "2023-11-07T05:31:56Z",
"account_type": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_email": "<string>",
"owner_name": "<string>",
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>"
}
],
"last_inbound_at": "2023-11-07T05:31:56Z",
"can_manage": true,
"pace": {
"mode": "safe",
"label": "<string>",
"description": "<string>",
"summary": "<string>",
"recommended": false,
"invites_per_day_min": 123,
"invites_per_day_max": 123,
"min_gap_minutes": 123,
"weekend_pause": true,
"changes": [],
"stored_preset": "<string>",
"risky": false
},
"daily_send_min": 8,
"daily_send_max": 15,
"min_gap_minutes": 12,
"weekend_pause": true,
"timezone": "UTC",
"warmup_started_at": "2023-11-07T05:31:56Z",
"health_status": "healthy",
"acceptance_rate": 123,
"health_checked_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"pause_reason": "<string>",
"campaigns_count": 123,
"sent_today_connections": 123,
"sent_today_messages": 123,
"sent_today_inmails": 123,
"daily_cap_today": 123,
"action_limits": {},
"used_today": {},
"linkedin_connected_elsewhere": false,
"action_limit_overrides": {},
"waiting_runs_count": 123,
"resume_required": {}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Senders
Resume a sender
Lets a paused sender send again.
POST
/
connected-accounts
/
{account_id}
/
resume
Resume a sender
curl --request POST \
--url https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.b2bsignals.ai/api/v1/connected-accounts/{account_id}/resume")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"paused_manually": true,
"is_premium": true,
"status_reason": "<string>",
"avatar_url": "<string>",
"cooldown_until": "2023-11-07T05:31:56Z",
"warmup": {},
"state": "<string>",
"cooldowns": {},
"display_name": "<string>",
"daily_send_cap": 20,
"last_send_at": "2023-11-07T05:31:56Z",
"account_type": "<string>",
"owner_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_email": "<string>",
"owner_name": "<string>",
"campaigns": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>"
}
],
"last_inbound_at": "2023-11-07T05:31:56Z",
"can_manage": true,
"pace": {
"mode": "safe",
"label": "<string>",
"description": "<string>",
"summary": "<string>",
"recommended": false,
"invites_per_day_min": 123,
"invites_per_day_max": 123,
"min_gap_minutes": 123,
"weekend_pause": true,
"changes": [],
"stored_preset": "<string>",
"risky": false
},
"daily_send_min": 8,
"daily_send_max": 15,
"min_gap_minutes": 12,
"weekend_pause": true,
"timezone": "UTC",
"warmup_started_at": "2023-11-07T05:31:56Z",
"health_status": "healthy",
"acceptance_rate": 123,
"health_checked_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"pause_reason": "<string>",
"campaigns_count": 123,
"sent_today_connections": 123,
"sent_today_messages": 123,
"sent_today_inmails": 123,
"daily_cap_today": 123,
"action_limits": {},
"used_today": {},
"linkedin_connected_elsewhere": false,
"action_limit_overrides": {},
"waiting_runs_count": 123,
"resume_required": {}
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Your workspace's API key. It starts with b2b_sk_.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes